> ## Documentation Index
> Fetch the complete documentation index at: https://hyperbrowser.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove an exposed sandbox port



## OpenAPI

````yaml openapi.json POST /api/sandbox/{id}/unexpose
openapi: 3.0.1
info:
  title: Hyperbrowser API
  version: 1.0.0
servers:
  - url: https://api.hyperbrowser.ai
    description: Production server
security: []
paths:
  /api/sandbox/{id}/unexpose:
    post:
      tags:
        - Sandboxes
      summary: Remove an exposed sandbox port
      parameters:
        - name: id
          in: path
          required: true
          description: Sandbox ID
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SandboxUnexposePortParams'
      responses:
        '200':
          description: Port exposure removed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SandboxUnexposePortResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    SandboxUnexposePortParams:
      type: object
      properties:
        port:
          type: integer
          minimum: 1
          maximum: 65535
      required:
        - port
    SandboxUnexposePortResponse:
      type: object
      properties:
        port:
          type: integer
        exposed:
          type: boolean
          description: Always false after a successful unexpose.
      required:
        - port
        - exposed
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````